/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.sling.api;

import jakarta.servlet.http.HttpServletResponse;
import org.apache.sling.api.adapter.Adaptable;
import org.osgi.annotation.versioning.ProviderType;

/**
 * The <code>SlingHttpServletResponse</code> defines the interface to assist a
 * servlet in creating and sending a response to the client.
 * <p>
 * This interface is currently empty and merely exists to parallel the
 * {@link SlingJakartaHttpServletRequest} interface.
 * <p>
 * Starting with Sling API 2.0.6, this interface also extends the
 * {@link Adaptable} interface.
 */
@ProviderType
public interface SlingJakartaHttpServletResponse extends HttpServletResponse, Adaptable {}
